<?php
add_action( 'wp_enqueue_scripts', 'tsnc_child_enqueue_styles' ); 
function tsnc_child_enqueue_styles() {
	wp_enqueue_style( 'tsnc_child-style',
			get_stylesheet_directory_uri() . '/style.css',
			array( 'tsnc_main-style' )
	);
}
add_editor_style('editor-style.css');
function show_box( $position )
	{
		//表示するかどうか
		if ( $this->is_not_disps(≈)) {
			return '';
		}
		//初回だけ読むようにした
		if ($this->is_first_load) {
			$this->set_forms();
		}
		$htmls = $this->get_follow_buttons( $position );
		$description = $this->description;
		$display_name = $this->display_name;
		$background_image = $this->background_image;
		$avatar = get_avatar($this->author_id, 512, '', $display_name, ['class' => 'pf-face-img']);
		if ( $position === 'side' ) {
			?>
			<div class="widget-content">
				<div class="custom-html-widget">
					<!--ウィジェットの中身-->
					<div class="widget-pf">
						<div class="pf-bgfacename">
							<?php if (strlen( $background_image ) > 0) { ?>
								<img class="pf-bg-img" src="<?php echo esc_url( $background_image )?>">
							<?php } else { ?>
								<div class="pf-bg-noimg"></div>
							<?php } ?>
							<div class="pf-facename">
								<div class="pf-face">
									<?php echo $avatar ?>
								</div>
								<div class="pf-name">
									<p class="pf-namae"><?php echo esc_html($display_name) ?></p>
									<p class="pf-katagaki"><?php echo $this->katagaki ?></p>
								</div>
							</div>
						</div>
						<div class="pf-textshare">
							<div class="pf-text">
								<p><?php echo nl2br(wp_kses_post($description)) ?></p>
							</div>
						<?php if (strlen($htmls) > 0): ?>
							<div class="pf-share">
								<div class="pf-btn">
									<?php echo $htmls ?>
								</div>
							</div>
						<?php endif; ?>
						</div>
					</div>
				</div>
			</div>
		<?php } elseif ( $position === 'mobile_footer') {?>
			<div id="footer-menu-follow" class="footer-menu-snsbox">
			<?php echo $htmls ?>
			</div>
		<?php } else { ?>
		<div class="entry-writer <?php echo esc_attr( $this->author_type_class )?>">
			<div class="writer-in">
				<div class="writer-img">
					<div class="writer-img-in">
						<?php echo $avatar ?>
						<p class="writer-name"><?php echo esc_html($display_name) ?></p>
						<p class="writer-katagaki"><?php echo $this->katagaki ?></p>
					</div>
				</div>
				<div class="writer-text">
					<div class="writer-text-in">
						<p><?php echo nl2br(wp_kses_post($description)) ?></p>
						<?php if (strlen($htmls) > 0): ?>
							<div class="pf-share">
								<p class="pf-share-title">FOLLOW</p>
								<div class="pf-btn">
									<?php echo $htmls ?>
								</div>
							</div>
						<?php endif; ?>
					</div>
				</div>
			</div>
		</div>
		<?php
		}
	}
function iframe_in_div($the_content) {
if ( is_singular() ) {
$the_content = preg_replace('/<iframe/i', '<div class="responsive_iframe"><iframe', $the_content);
$the_content = preg_replace('/<\/iframe>/i', '</iframe></div>', $the_content);
}
return $the_content;
}
add_filter('the_content','iframe_in_div');
